﻿@model Generic_appWeb.Models.Conjunto_dato_tecnico


<form asp-action="Create">
    <div class="card card-success">
        <div class="card-header">
            <section class="content-header">

                <h3>CREAR CONJUNTO DATO TECNICO</h3>

            </section>

        </div>
        <div class="card-body">
            <div style="float:left" class="col-md-12">

                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">CODIGOS</legend>

                    <div class="form-group">
                        <label asp-for="CDTec_codigo_empresa" class="col-md-4 control-label" style="float:left"> EMPRESA </label>
                        <input asp-for="CDTec_codigo_empresa" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_codigo_empresa" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CDTec_codigo_alterno" class="col-md-4 control-label" style="float:left">  ALTERNO </label>
                        <input asp-for="CDTec_codigo_alterno" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_codigo_alterno" class="text-danger" />
                    </div>

                </fieldset>

                <br />
                <br />




                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">DESCRIPCIONES</legend>

                    <div class="form-group">
                        <label asp-for="CDTec_descripcion_larga" class="col-md-4 control-label" style="float:left"> LARGA</label>

                        <input asp-for="CDTec_descripcion_larga" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_descripcion_larga" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CDTec_descripcion_med" class="col-md-4 control-label" style="float:left"> MEDIA</label>

                        <input asp-for="CDTec_descripcion_med" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_descripcion_med" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CDTec_descripcion_corta" class="col-md-4 control-label" style="float:left"> CORTA</label>

                        <input asp-for="CDTec_descripcion_corta" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_descripcion_corta" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CDTec_abreviacion" class="col-md-4 control-label" style="float:left"> ABREVIACION</label>

                        <input asp-for="CDTec_abreviacion" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_abreviacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CDTec_observacion" class="col-md-4 control-label" style="float:left"> OBSERVACION</label>

                        <input asp-for="CDTec_observacion" class="form-control col-md-6" />
                        <span asp-validation-for="CDTec_observacion" class="text-danger" />
                    </div>


                </fieldset>

                <br />
                <br />

                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">FECHAS</legend>
                    <div class="form-group">
                        <label asp-for="CDTec_fecha_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>
                        <input name="CDTec_fecha_creacion" id="GCau_fecha_creacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>

                        <span asp-validation-for="CDTec_fecha_creacion" class="text-danger" />

                    </div>

                    <div class="form-group">
                        <label asp-for="CDTec_fecha_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>
                        <input name="CDTec_fecha_modificacion" id="GCau_fecha_modificacion" class="form-control col-xl-6" value="@ViewBag.fecha_creacion" readonly>

                        <span asp-validation-for="CDTec_fecha_modificacion" class="text-danger" />

                    </div>
                </fieldset>

                <br />
                <br />

                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    <legend class="scheduler-border">USUARIOS</legend>
                    <div class="form-group">
                        <label asp-for="CDTec_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>

                        <input asp-for="CDTec_usuario_creacion" class="form-control col-xl-6" readonly />
                        <span asp-validation-for="CDTec_usuario_creacion" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CDTec_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>

                        <input asp-for="CDTec_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                        <span asp-validation-for="CDTec_usuario_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">
                    @*<legend class="scheduler-border">FILTROS DATOS TECNICOS</legend>
            <div class="form-group">
                <label asp-for="Grupo_dato_tecnico.GDTec_id" class="col-md-4 control-label" style="float:left"> GRUPO</label>
                <select asp-for="Grupo_dato_tecnico.GDTec_id" asp-items="@(new SelectList(ViewBag.Grupo_dato_tecnicoList, "GDTec_id", "GDTec_descripcion_larga"))" class="form-control col-md-6 select2"><option value="0">Seleccione</option></select>
                <span asp-validation-for="Grupo_dato_tecnico.GDTec_id" class="text-danger" />

            </div>
            <div class="form-group">
                <label asp-for="Categorias_datos_tecnicos.CDTec_id" class="col-md-4 control-label" style="float:left"> CATEGORIA</label>
                <select asp-for="Categorias_datos_tecnicos.CDTec_id" class="form-control col-md-6 select2"><option value="0">Seleccione</option></select>
                <span asp-validation-for="Categorias_datos_tecnicos.CDTec_id" class="text-danger" />
            </div>


            <div class="form-group">
                <label asp-for="Tipos_datos_tecnicos.TDTec_id" class="col-md-4 control-label" style="float:left">TIPO</label>
                <select asp-for="Tipos_datos_tecnicos.TDTec_id" class="form-control col-md-6 select2"><option value="0">Seleccione</option></select>
                <span asp-validation-for="Tipos_datos_tecnicos.TDTec_id" class="text-danger" />
            </div>*@

                    <div class="form-group">
                        <label class="col-md-4 control-label " multiple style="float:left">DATOS TECNICOS</label>
                        <button type="button" class="btn btn-primary col-md-6" id="buscar_datos_tecnicos"> BUSCAR</button>
                    </div>
                    @Html.Hidden("Arreglo")

                    <br />
                    <br />
                    <br />

                    <fieldset>

                        <div id="lc_searchresult">
                            <table id="ActivosIndexTable" class="table table-bordered table-responsive" style="width:100%">
                                <thead>
                                    <tr>
                                        <th colspan="3"></th>
                                        <th colspan="3" style="text-align:center">CODIGOS </th>
                                        <th colspan="3" style="text-align:center">DESCRIPCIONES</th>
                                        <th colspan="6"></th>
                                    </tr>
                                    <tr>
                                        <th>GRUPO</th>
                                        <th>CATEGORIA</th>
                                        <th>TIPO</th>
                                        <th> INTERNO</th>
                                        <th> EMPRESA</th>
                                        <th> ALTERNO</th>
                                        <th> LARGA</th>
                                        <th> MEDIANA</th>
                                        <th> CORTA</th>
                                        <th>ABREVIACION</th>
                                        <th>OBSERVACION</th>
                                        <th>DATO TECNICO</th>
                                        <th>UNIDAD</th>
                                        <th>TIPO VALOR</th>
                                        <th>ESTADO</th>

                                    </tr>
                                </thead>


                            </table>
                        </div>
                    </fieldset>

                    <br />
                    <br />
                    <br />

                    <div class="modal fade bd-example-modal-lg" id='myModal_activo' tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hasp-forden="true">
                        <div class="modal-dialog modal-lg" role="document">
                            <div class="modal-content">
                                <div class="modal-header">

                                </div>
                                <div class="modal-body" id='myModalContent_activo'>

                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-warning" data-dismiss="modal">VOLVER</button>
                                    <button type="button" class="btn btn-success" id="elegir_dato_tecnico">ELEGIR</button>
                                </div>
                            </div>
                        </div>
                    </div>

                </fieldset>


                <br />
                <br />



                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="CDTec_usuario_creacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  CREACION</label>

                        <input asp-for="CDTec_usuario_creacion" class="form-control col-xl-6" readonly />
                        <span asp-validation-for="CDTec_usuario_creacion" class="text-danger" />

                    </div>
                    <div class="form-group">
                        <label asp-for="CDTec_usuario_modificacion" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  MODIFICACION</label>

                        <input asp-for="CDTec_usuario_modificacion" class="form-control col-xl-6" readonly value=" " />
                        <span asp-validation-for="CDTec_usuario_modificacion" class="text-danger" />

                    </div>
                </fieldset>
                <br />
                <br />


                <fieldset class="col-xl-6 col-md-6 col-lg-6">

                    <div class="form-group">
                        <label asp-for="CDTec_secuencia" class="col-xl-4 col-md-4 col-lg-4" style="float:left">  SECUENCIA</label>

                        <input asp-for="CDTec_secuencia" class="form-control col-xl-6" readonly value=" " />

                        <span asp-validation-for="CDTec_secuencia" class="text-danger" />

                    </div>
                </fieldset>
            </div>
        </div>

        <div style="float:right" class="col-md-12">
            <div class="form-group">

                <div class="col-md-6">
                    <button type="button" class="btn btn-warning" onclick="location.href='@Url.Action("Index", "Conjunto_dato_tecnico")'">Volver</button>
                    <button type="submit" class="btn btn-success">Guardar</button>
                </div>
            </div>
        </div>

    </div>
</form>


@section Scripts
    {
    <script src="~/Js/Conjunto_dato_tecnico_create.js"></script>


}